field_expr_v2_variational_curl< Expr >

## Public Types

typedef geo_element::size_type | size_type
typedef Expr::memory_type | memory_type
typedef scalar_traits< typename Expr::value_type >::type | scalar_type
typedef undeterminated_basic< scalar_type > | value_type
typedef float_traits< scalar_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef field_expr_v2_variational_curl< Expr > | self_type
typedef field_expr_v2_variational_curl< typename Expr::dual_self_type > | dual_self_type

## Public Member Functions

| field_expr_v2_variational_curl (const Expr &expr, const differentiate_option &gopt=differentiate_option())
const space_type & | get_vf_space () const
space_constant::valued_type | valued_tag () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > &value) const
template<class Value >
void | local_dg_merge_on_side (const geo_basic< float_type, memory_type > &omega_K, const geo_element &S, const geo_element &K0, const geo_element &K1, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value0, const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value1, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &value) const
void | _valued_check_internal (const scalar_type &) const
void | _valued_check_internal (const point_basic< scalar_type > &) const
void | _valued_check_internal (const tensor_basic< scalar_type > &) const
template<class Result >
void | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

Expr | _expr
differentiate_option | _gopt

## Detailed Description

### template<class Expr>
class rheolef::details::field_expr_v2_variational_curl< Expr >

Definition at line 408 of file field_expr_variational_terminal.h.

## Member Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 412 of file field_expr_variational_terminal.h.

## memory_type

typedef Expr::memory_type memory_type

Definition at line 413 of file field_expr_variational_terminal.h.

## scalar_type

typedef scalar_traits<typename Expr::value_type>::type scalar_type

Definition at line 415 of file field_expr_variational_terminal.h.

## value_type

typedef undeterminated_basic<scalar_type> value_type

Definition at line 419 of file field_expr_variational_terminal.h.

## float_type

typedef float_traits<scalar_type>::type float_type

Definition at line 420 of file field_expr_variational_terminal.h.

## space_type

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 421 of file field_expr_variational_terminal.h.

## vf_tag_type

typedef Expr::vf_tag_type vf_tag_type

Definition at line 422 of file field_expr_variational_terminal.h.

## vf_dual_tag_type

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 424 of file field_expr_variational_terminal.h.

## self_type

typedef field_expr_v2_variational_curl<Expr> self_type

Definition at line 425 of file field_expr_variational_terminal.h.

## dual_self_type

typedef field_expr_v2_variational_curl<typename Expr::dual_self_type> dual_self_type

Definition at line 427 of file field_expr_variational_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_variational_curl()

field_expr_v2_variational_curl | ( | const Expr & | expr,
|  | const differentiate_option & | gopt = `differentiate_option()`
| ) |  |

Definition at line 431 of file field_expr_variational_terminal.h.

## Member Function Documentation

## get_vf_space()

const space_type& get_vf_space | ( |  | ) | const

Definition at line 442 of file field_expr_variational_terminal.h.

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 444 of file field_expr_variational_terminal.h.

## n_derivative()

size_type n_derivative | ( |  | ) | const

Definition at line 457 of file field_expr_variational_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 461 of file field_expr_variational_terminal.h.

## initialize() [2/2]

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 464 of file field_expr_variational_terminal.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 468 of file field_expr_variational_terminal.h.

## local_dg_merge_on_side()

void local_dg_merge_on_side | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | S,
|  | const geo_element & | K0,
|  | const geo_element & | K1,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value0,
|  | const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value1,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | value
| ) |  | const

Definition at line 476 of file field_expr_variational_terminal.h.

## _valued_check_internal() [1/3]

void _valued_check_internal | ( | const scalar_type & |  | ) | const

Definition at line 487 of file field_expr_variational_terminal.h.

## _valued_check_internal() [2/3]

void _valued_check_internal | ( | const point_basic< scalar_type > & |  | ) | const

Definition at line 492 of file field_expr_variational_terminal.h.

## _valued_check_internal() [3/3]

void _valued_check_internal | ( | const tensor_basic< scalar_type > & |  | ) | const

Definition at line 501 of file field_expr_variational_terminal.h.

## valued_check()

void valued_check | ( |  | ) | const

Definition at line 505 of file field_expr_variational_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 443 of file field_expr_variational_terminal.h.

## _expr

Expr _expr

protected

Definition at line 510 of file field_expr_variational_terminal.h.

## _gopt

differentiate_option _gopt

protected

Definition at line 511 of file field_expr_variational_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_variational_terminal.h